Index: /extensions/UserAdvManager/branches/2.51/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.51/language/pt_PT/plugin.lang.php	(revision 25092)
+++ /extensions/UserAdvManager/branches/2.51/language/pt_PT/plugin.lang.php	(revision 25093)
@@ -25,5 +25,4 @@
 $lang['UAM_reg_err_login5'] = 'O seu provedor de e-mail está banido para inscrição. Os provedores de email banidos são:';
 $lang['UAM_reg_err_login2'] = 'Nome de utilizador não tem que coincidir com os seguintes caracteres:';
-$lang['UAM_reg_err_login3'] = 'Segurança: A senha é obrigatória';
 $lang['UAM_save_config'] = 'Configuração salva';
 $lang['UAM_submit'] = 'Submeter definições';
@@ -91,9 +90,4 @@
 Por favor, reative a opção Piwigo "O endereço de e-mail é obrigatório para todos os utilizadores" para poder, em seguida, desativar a opção "Exclusão de domínios de correio" da UAM se é isso que você quer. <br>
 Nota:. Esta mensagem desaparecerá depois de ter feito a respetiva correção e refrescar a página de administração <br>';
-$lang['UAM_reg_err_login4_%s'] = 'Segurança: Um sistema de controle calcula uma pontuação na complexidade das senhas escolhidas. A complexidade da sua senha é muito baixa (escore =%s). Por favor, escolha uma nova senha mais segura, seguindo as seguintes regras:<br>
-- Use letras e números<br>
-- Use maiúsculas e minúsculas<br>
-- Aumentar (número de caracteres) <br>
-A pontuação mínima exigida pelo administrador é de:';
 $lang['UAM_Disable'] = 'Desativar (padrão)';
 $lang['UAM_Enable'] = 'Ativar';
@@ -126,5 +120,4 @@
 $lang['UAM_Confirm_Status'] = 'Estatutos<br>(deixar------- para manter o padrão do Piwigo)';
 $lang['UAM_Confirm_grpstat_notice'] = 'Atenção: É aconselhável usar  ou o grupo ou a confirmação do status e não os dois simultaneamente. O nível de privacidade pode ser utilizado em conjunto com um grupo ou status atribuido.';
-$lang['UAM_Default user cannot be pwgreset'] = 'Renovação de senha pode ser definida por defeito para conta de utilizador';
 $lang['UAM_Default_AdminValidationMail_Subject'] = '[username]- Registo validado na [mygallery]';
 $lang['UAM_Default_AdminValidation_Txt'] = 'Olá [username]! Obrigado pelo seu registo e benvindo(a)à [mygallery].
@@ -139,9 +132,6 @@
 $lang['UAM_Customize_messagesandmails'] = 'Personalizar mensagens e mails';
 $lang['UAM_AdminValidationMail_Text'] = 'Notificação de confirmação manual de registo';
-$lang['UAM_Admins cannot be pwdreset'] = 'Renovação da senha não pode ser definida para conta de administrador';
 $lang['UAM_AdminValidationMail_Subject'] = 'Personalizar validação manual do assunto do email';
 $lang['UAM_AdminConfMail'] = 'Confiemação de registo para administradores';
-$lang['UAM %d user pwdreseted'] = 'Renovação de senha requerida para %d um utilizador';
-$lang['UAM %d users pwdreseted'] = 'Renovação de senha requerida para %d utilizadores';
 $lang['UAM_%d_Mail_With_Key'] = 'Foi enviada %d mensagem com chave renovada';
 $lang['UAM_%d_Mails_With_Key'] = 'Foram enviadas %d mensagens com chave renovada';
@@ -151,5 +141,4 @@
 $lang['UAM_%d_Validated_Users'] = ' %d Utilizadores confirmados manualmente';
 $lang['UAM_Add of %s'] = 'Perfile criado para  %s';
-$lang['UAM_AdminPassword_Enforced'] = 'Aplicar aos administradores';
 $lang['UAM_ConfirmMail_Remail'] = 'Lembrar utilizadores não confirmados';
 $lang['UAM_Title1'] = 'Restrições de registo';
@@ -159,9 +148,4 @@
 $lang['UAM_Username_Char_false'] = 'Permitir tudo (padrão)';
 $lang['UAM_Password: %s'] = 'Senha:%s';
-$lang['UAM_PasswordTest'] = 'Senha teste:';
-$lang['UAM_PwdReset'] = 'Renovação de senha';
-$lang['UAM_PwdReset_Done'] = 'Senha renovada';
-$lang['UAM_PwdReset_NA'] = 'Senha original';
-$lang['UAM_PwdReset_Todo'] = 'Senha a ser renovada';
 $lang['UAM_Registration_Date'] = 'Data de registo';
 $lang['UAM_Reminder_Sent_NOK'] = 'NÃO';
@@ -223,5 +207,5 @@
 $lang['UAM_USRAutoMail'] = 'Email lembrete automático';
 $lang['UAM_confirmmail_custom_Txt2'] = 'Texto da página confirmação - Confirmação rejeitada';
-$lang['UAM_empty_pwd'] = '[empty password]';
+
 $lang['UAM_audit'] = 'Definições de auditoria';
 $lang['UAM_audit_ok'] = 'Auditoria OK';
@@ -240,5 +224,4 @@
 $lang['UAM_No_Confirm_Status'] = 'Status dos utilizadores que não confirmaram o seu registo<br>';
 $lang['UAM_No_Valid_Level'] = 'Nível de privacidade para utilizadores que não confirmaram o seu registo<br>';
-$lang['UAM_Password_Enforced'] = 'Reforço do nível de senhas de segurança';
 $lang['UAM_Stuffs'] = 'Bloco PWG Stuffs';
 $lang['UAM_Title4'] = 'Tipos e exemplos de uso';
@@ -289,5 +272,4 @@
           </ul>';
 $lang['UAM_Title3'] = 'Gerênciar utilizadores fantasma';
-$lang['UAM_Password_Enforced_true'] = 'Ativar: Pontuação mínima';
 $lang['UAM_RedirToProfile'] = 'Redirecionar para página personalizada';
 $lang['UAM_RejectConnexion_Custom_Txt'] = 'personalizar texto rejeição';
@@ -296,7 +278,5 @@
 $lang['UAM_No_validation_for_default_user'] = 'Conta padrão não está sujeita a confirmação';
 $lang['UAM_No_validation_for_your_account'] = 'A sua conta pessoal de admin não está sujeita a confirmação';
-$lang['UAM_Password reset selected users'] = 'Solicitar renovação de senha aos seguintes utilizadores';
 $lang['UAM_Reminder_without_key_of_%s'] = '%s,a sua chave de confirmação vai expirar';
-$lang['UAM_Password_Reset_Msg'] = 'Por favor altere a sua semha';
 $lang['UAM_Reminder'] = 'Email lembrete';
 $lang['UAM_Reminder_with_key_of_%s'] = '%s,A sua chave de confirmação foi renovada';
@@ -311,7 +291,5 @@
 $lang['UAM_GTAutoMail'] = 'Enviar automaticamente um e-mail quando alteração de grupo / status/nível de privacidade';
 $lang['UAM_GTAutomail_Text'] = 'Personalizar texto do email';
-$lang['UAM_Generic cannot be pwdreset'] = 'Renovação de senha não pode ser definida para contas genéricas';
 $lang['UAM_Ghost_reminder_of_%s'] = '%s, este é um mail lembrete';
-$lang['UAM_Guest cannot be pwdreset'] = 'Renovação de senha não pode ser definido para contas de visitantes!';
 $lang['UAM_HidePassw'] = 'Senha em texto explicito no mail informativo';
 $lang['UAM_Link: %s'] = 'Por favor clique neste link para confirmar o registo:  %s';
@@ -329,8 +307,5 @@
 $lang['UAM_Manual_validation_needed_for %s'] = 'O utilizador  %s registou-se e aguarda validação manual por um Admin.';
 $lang['UAM_Tips2'] = 'Informação de registo não confirmado com UAM e Páginas adicionais';
-$lang['UAM_Webmaster cannot be pwdreset'] = 'Renovação de senha não pode ser definida para a conta de Webmaster';
-$lang['UAM_You cannot pwdreset your account'] = 'Renovação de senha não pode ser definida para a sua própria galeria';
 $lang['UAM_infos_mail %s'] = '%s, veja aqui a sua informação para entrada na galeria';
-$lang['UAM_You need to confirm pwdreset'] = 'Deverá confirmar a renovação da senha (sinalize a caixa)';
 $lang['UAM_USRAuto'] = 'Gerência automática de utilizadores não confirmados';
 $lang['UAM_no_update_pwd'] = '[Perfile atualizado sem alteração da senha]';
Index: /extensions/UserAdvManager/branches/2.51/language/ru_RU/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.51/language/ru_RU/help.lang.php	(revision 25092)
+++ /extensions/UserAdvManager/branches/2.51/language/ru_RU/help.lang.php	(revision 25093)
@@ -24,5 +24,4 @@
 $lang['UAM_remailtxt2Title'] = 'Напоминающий e-mail без нового сгенерированного ключа';
 $lang['UAM_remailtxt1Title'] = 'Напоминающий e-mail с новым сгенерированным ключом';
-$lang['UAM_passwtestTitle'] = 'Проверка надежности пароля';
 $lang['UAM_infomailTitle_d'] = 'Эта функция позволяет автоматически отправлять информационный email пользователю, который поменял свой пароль или эл.адрес на странице своего профиля.<br><br>
 Содержимое сообщения состоит из персонифицированной части, включая небольшое личное приветствие, и стандартной части, содержащей логин пользователя, его пароль и эл.адрес.  ';
@@ -39,7 +38,4 @@
 <b style=&quot;color: red;&quot;>Внимание - Эта функция работает только, если включено ограничение "Обязательно наличие email для каждого зарегистрированного пользователя!" Пожалуйста, смотрите настройку функций Piwigo.</b>';
 $lang['UAM_USRAutoMailTitle_d'] = 'При активации этой функции автоматически отправляется персональное сообщение, настроенное в разделе &quot; "Email с напоминанием и новым сгенерированным ключом" &quot; тем посетителям, которые подходят под критерии.';
-$lang['UAM_passwadmTitle_d'] = 'Администратор может создать аккаунт пользователя с учетом и без учета применения правила минимальной расчетной сложности пароля.<br><br>
-Внимание: если пользователь созданного аккаунта хочет сменить пароль, и ограничение стойкости паролей включено, то это правило будет распространяться.';
-$lang['UAM_passwtestTitle_d'] = 'Введите пароль для пробы и нажмите &quot;Вычислить стойкость&quot; увидите результат.';
 $lang['UAM_restricTitle_d'] = '- Запрещенные символы<br>
 - Стойкость пароля<br>
@@ -328,13 +324,3 @@
 $lang['UAM_confirmstatTitle_d'] = '<b style=&quot;color: red;&quot;> Предупреждение: Для использования статусов на подтверждение требуется, чтобы Вы сохранили настройки пользователя  &quot;Гость&quot; по умолчанию (в качестве шаблона) для новых зарегистрированных. Обратите внимание, Вы можете установить любого другого пользователя в качестве шаблона для вновь регистрирующихся. Пожалуйста, обратитесь к документации Piwigo для получения более подробной информации. </b><br><br>
 Статусы утверждены для использования в сочетании с функциями раздела &quot;Подтверждение регистрации&quot;.';
-$lang['UAM_passwTitle_d'] = 'Включение этой опции делает обязательным анализ пароля, заданного при регистрации. Включается требование, чтобы посетитель выбирал пароль, который бы был не хуже, чем установленный минимальный уровень сложности. Если не будет достигнуто пороговое значение сложности пароля, то отображаются оценка достигнутого уровня и требуемый минимальный балл, а также рекомендации увеличить значение до этого показателя. <br><br>
-В этом поле проводится тест для измерения сложности пароля. Эта оценка позволяет получить пользователю представление о сложности его текущего пароля. <br><br>
-Примечение: оценка пароля проводится на основании нескольких параметров - длина, тип применяемых символов (буквы, цифры, верхний регистр, нижний регистр, спецсимволы). Оценка ниже 100 считается низкой, от 100 до 500 - средней сложности, более 500 - отличная.';
-$lang['UAM_PwdResetTitle_d'] = 'Включение этой опции добавляет новую функцию в панели управления пользователями (Пользователи > Управление), которая может применяться для обновления паролей для выбранных пользователей. Кроме того, добавляется новый столбец, показывающий статус пароля для каждого из них, со следующими значениями:<br>
-- Пароль на обновлении: запланирован запрос на обновление пароля. <br>
-- Пароль обновлен: пароль был обновлен после запроса.<br>
-- Оригинальный (исходный) пароль: пароль, выбранный при создании аккаунта; необходимости в обновлении нет.<br>
-
-Функция не распространяется на аккаунты вебмастера, универсальные и гостевые аккаунты.<br>
-Эти пользователи будут автоматически переадресованы к странице их настроек при каждом входе в галерею. До тех пор, пока они не изменят свой пароль, данное сообщение будет показываться на этой странице.';
 ?>
Index: /extensions/UserAdvManager/branches/2.51/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.51/language/ru_RU/plugin.lang.php	(revision 25092)
+++ /extensions/UserAdvManager/branches/2.51/language/ru_RU/plugin.lang.php	(revision 25093)
@@ -52,5 +52,4 @@
 $lang['UAM_submit'] = 'Отправка настроек';
 $lang['UAM_save_config'] = 'Конфигурация сохранена.';
-$lang['UAM_reg_err_login3'] = 'Служба безопасности: Пароль обязателен!';
 $lang['UAM_Subject admin validation for %s'] = 'Регистрация пользователя %s ожидает подтверждения';
 $lang['UAM_Title4'] = 'Советы и примеры использования';
@@ -99,6 +98,4 @@
 $lang['UAM_Reminder_with_key_of_%s'] = '%s, Ваш ключ подтверждения был обновлен';
 $lang['UAM_Reminder_without_key_of_%s'] = '%s, Ваш ключ подтверждения устарел';
-$lang['UAM %d user pwdreseted'] = 'Требуется обновить пароль для %d пользователя';
-$lang['UAM %d users pwdreseted'] = 'Требуется обновить пароли для %d пользователей';
 $lang['UAM_%d_Mail_With_Key'] = '%d сообщение с ключом обновления было отправлено';
 $lang['UAM_%d_Mails_With_Key'] = '%d сообщения с ключом обновления были отправлены';
@@ -119,12 +116,5 @@
 $lang['UAM_Restore_File'] = 'Восстановление конфигурации';
 $lang['UAM_Registration_Date'] = 'Регистрационные данные';
-$lang['UAM_Password reset selected users'] = 'Запрос обновления пароля для выбранных пользователей';
 $lang['UAM_Password: %s'] = 'Пароль: %s';
-$lang['UAM_PasswordTest'] = 'Проверка пароля:';
-$lang['UAM_Password_Reset_Msg'] = 'Пожалуйста, смените свой пароль!';
-$lang['UAM_PwdReset'] = 'Обновление пароля';
-$lang['UAM_PwdReset_Done'] = 'Пароль обновлен';
-$lang['UAM_PwdReset_NA'] = 'Исходный пароль';
-$lang['UAM_You need to confirm pwdreset'] = 'Вы должны подтвердить обновление пароля (поставьте галочку)!';
 $lang['UAM_group "%s" updated'] = 'Для лучшей производительности группа %s была автоматически установлена в качестве "группы по умолчанию".';
 $lang['UAM_no_update_pwd'] = '[профиль обновлен без смены пароля]';
@@ -139,6 +129,4 @@
 $lang['UAM_Confirm_Mail_local'] = 'Включено - Подтверждено администратором';
 $lang['UAM_Confirm_Mail_true'] = 'Включено - Подтверждено пользователем';
-$lang['UAM_AdminPassword_Enforced'] = 'Применение к администраторам ';
-$lang['UAM_Admins cannot be pwdreset'] = 'Возобновление пароля не может быть установлено для аккаунта администратора!';
 $lang['UAM_Bad_version_backup'] = 'Версия файла резервной копии не соответствует версии плагина! Восстановление не была выполнено.';
 $lang['UAM_Username_Char_false'] = 'Разрешить всё (по умолчанию)';
@@ -147,16 +135,8 @@
 $lang['UAM_Validated_Group'] = 'Группа пользователей, которые подтвердили свою регистрацию <br>';
 $lang['UAM_Validated_Status'] = 'Статус для пользователей, которые подтвердили свою регистрацию <br>';
-$lang['UAM_Webmaster cannot be pwdreset'] = 'Возобновление пароля нельзя установить для аккаунта вебмастера!';
-$lang['UAM_You cannot pwdreset your account'] = 'Возобновление пароля нельзя установить для своего собственного аккаунта!';
 $lang['UAM_confirmmail_custom_Txt1'] = 'Текст на странице подтверждения - Подтверждение прошло успешно';
 $lang['UAM_confirmmail_custom_Txt2'] = 'Текст на странице подтверждения - Подтверждение не удалось';
 $lang['UAM_empty_pwd'] = '[пустой пароль]';
 $lang['UAM_infos_mail %s'] = '%s, пожалуйста, найдите здесь Вашу информацию для входа в галерею:';
-$lang['UAM_reg_err_login4_%s'] = 'Бесплатный совет от службы безопасности:<br> Система контроля, установленная на сайте, вычисляет уровень сложности задаваемых паролей. Сложность Вашего текущего пароля весьма низкая (уровень  = %s). Пожалуйста, придумайте и введите новый пароль, более серьёзный. Для этого используйте следующие правила: <br>
-- Используйте в пароле и буквы и цифры <br>
-- Используйте для вводимых символов и верхний и нижний регистры <br>
-- Используйте увеличенную длину пароля (чем больше символов, тем надежнее) <br>
-Минимальный уровень сложности пароля, установленный администрацией сайта:';
-$lang['UAM_PwdReset_Todo'] = 'Пароль был возобновлен';
 $lang['UAM_RedirToProfile'] = 'Перенаправление на страницу настроек';
 $lang['UAM_RejectConnexion'] = 'Пользователю отказано в соединении до тех пор, пока регистрация не будет подтверждена';
@@ -176,5 +156,4 @@
 $lang['UAM_AdminValidationMail_Text'] = 'Уведомление о ручном подтверждении регистрации';
 $lang['UAM_Err_GhostTracker_Settings'] = 'Эта страница доступна, только если активирована функция "Ghost Tracker" в разделе "Установки регистрации и другие функции". ';
-$lang['UAM_Default user cannot be pwgreset'] = 'Восстановленный пароль не может быть установлен по умолчанию для аккаунта пользователя!';
 $lang['UAM_Default_ConfirmMail_Remail_Subject'] = 'Напоминание - регистрация пользователя [username] в галерее [mygallery] подтверждена';
 $lang['UAM_Default_ConfirmMail_Txt'] = 'Здравствуйте, [username]! Спасибо за Вашу регистрацию на сайте [mygallery].
@@ -185,5 +164,4 @@
 $lang['UAM_Mail_without_key'] = 'Напоминание без ключа';
 $lang['UAM_Nb_Days'] = 'Разница в днях';
-$lang['UAM_Generic cannot be pwdreset'] = 'Восстановленный пароль не может быть установлен на основном аккаунте!';
 $lang['UAM_ConfirmMail_ReMail_Subject'] = 'Настройка напоминания подтверждения регистрации по e-mail';
 $lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Настройка сообщения с напоминанием  <b><u>С</u></b> восстановлением ключа подтверждения.';
@@ -192,5 +170,4 @@
 $lang['UAM_ConfirmMail_Text'] = 'Настройка e-mail для подтверждения:';
 $lang['UAM_Customize_messagesandmails'] = 'Настройка сообщений и адресов почты';
-$lang['UAM_Guest cannot be pwdreset'] = 'Возобновление пароля для аккаунта гостя установить невозможно!';
 $lang['UAM_GhostTracker_true'] = 'Включено. Максимальный период между двумя визитами (в днях):';
 $lang['UAM_AdminValidationMail_Subject'] = 'Содержание заголовка письма подтверждения адреса e-mail';
@@ -204,5 +181,4 @@
 <b style="color: red;">Будьте внимательны при работе с резервной копией!<br>Резервная копия, сделанная в одной версии плагина, может быть восстановлена только плагином той же версии.</b>';
 $lang['UAM_Restoration_NOK'] = 'При восстановлении конфигурации произошла ошибка. Пожалуйста, проверьте годность Вашего файла резервного копирования.';
-$lang['UAM_Password_Enforced'] = 'Усиление уровня безопасности для паролей';
 $lang['UAM_No_Ghosts'] = 'Нет посетителей на данный момент';
 $lang['UAM_No_Userlist'] = 'В текущий момент посетителей в списке нет';
@@ -217,5 +193,4 @@
 $lang['UAM_No_validation_for_default_user'] = 'Аккаунт по умолчанию не требует подтверждения';
 $lang['UAM_No_validation_for_your_account'] = 'Ваш персональный аккаунт администратора не требует подтверждения';
-$lang['UAM_Password_Enforced_true'] = 'Включено. Минимальное значение:';
 $lang['UAM_MailInfo_Subject'] = 'Настройка темы информационного электронного письма';
 $lang['UAM_MailInfo_Text'] = 'Настройка информационного электронного письма:';
Index: /extensions/UserAdvManager/branches/2.51/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.51/language/tr_TR/plugin.lang.php	(revision 25092)
+++ /extensions/UserAdvManager/branches/2.51/language/tr_TR/plugin.lang.php	(revision 25093)
@@ -24,12 +24,7 @@
 $lang['UAM_submit'] = 'Ayarları Kaydet';
 $lang['UAM_Password: %s'] = 'Şifre: %s';
-$lang['UAM_PasswordTest'] = 'Şifre test:';
 $lang['UAM_No_Casse'] = 'Kullanıcı Adları: Büyük Küçük harf duyarlı';
 $lang['UAM_NewFeature'] = 'Yeni Özellik!';
 $lang['UAM_Restore_File'] = 'Ayarları Geri Yükle';
-$lang['UAM_PwdReset'] = 'Şifre yenileme';
-$lang['UAM_PwdReset_Done'] = 'Şifre yenilendi';
-$lang['UAM_PwdReset_NA'] = 'Orjinal şifre';
-$lang['UAM_PwdReset_Todo'] = 'Şifre yenilemesi';
 $lang['UAM_Registration_Date'] = 'Kayıt tarihi';
 $lang['UAM_Reminder_Sent_NOK'] = 'HAYIR';
@@ -42,5 +37,4 @@
 $lang['UAM_Update of %s'] = 'Profil %s güncellendi';
 $lang['UAM_no_update_pwd'] = '[Profil şifre değiştirilmeden güncellendi]';
-$lang['UAM_reg_err_login3'] = 'Güvenlik: Şifre zorunludur.';
 $lang['UAM_empty_pwd'] = '[boş şifre]';
 $lang['UAM_confirmmail_custom_Txt1'] = 'Onay sayfası metni - Onay kabul edildi';
@@ -50,6 +44,4 @@
 $lang['UAM_%d_Reminder_Sent'] = '%d hatırlatma mesajı gönderildi';
 $lang['UAM_%d_Reminders_Sent'] = '%d hatırlatma mesajları gönderildi';
-$lang['UAM %d users pwdreseted'] = '%d kullanıcı için şifre yenileme gerekli';
-$lang['UAM %d user pwdreseted'] = '%d kullanıcısı için şifre yenileme gerekli';
 $lang['UAM_Username_Char_true'] = 'Uygunsuz karakter: <br>(Karakterleri ayırmak için virgül kullanın)<br><br>';
 $lang['UAM_Username_Char_false'] = 'Hepsine izin ver (varsayılan)';
@@ -81,12 +73,4 @@
 $lang['UAM_DumpTxt'] = 'Ayarlarınızı yedekleyin ve tekrar yükleyin';
 $lang['UAM_Delete_selected'] = 'Sil';
-$lang['UAM_Webmaster cannot be pwdreset'] = 'Şifre yenileme webmaster hesabı için ayarlanamaz.';
-$lang['UAM_You cannot pwdreset your account'] = 'Şifre yenileme kendi hesabınız için ayarlanamaz.';
-$lang['UAM_You need to confirm pwdreset'] = 'Şifre yenilmeyi onaylamanız gerekir(onay kutusu)!';
-$lang['UAM_reg_err_login4_%s'] = 'Güvenlik: Kontorl sistemi seçilen şifreler için karmaşık bir kontorl mekanizması sağlar. Şifreniz çok basit (karakter sayısı=%s) Lütfen aşağıdaki kurallara dikkat ederek yeni bir şifre belirleyin: <br>
-- Harf ve rakam içermeli<br>
-- Büyük ve küçük harf içermeli<br>
-- Uzunluğu arttırın (karakter uzunluğunu)<br>
-Yönetici tarafından belirlenmiş minimum şifre uzunluğu:';
 $lang['UAM_reg_err_login5'] = 'E-posta sağlayıcınız kayıt için yasaklanmıştır. Yasaklı eposta sağlayıcıları: ';
 $lang['UAM_reg_err_login2'] = 'Kullanıcı adı izin verilen karakterlerin dışında karakter içeriyor:';
@@ -97,5 +81,4 @@
 $lang['UAM_Title1'] = 'Kayıtlar için kısıtlamalar';
 $lang['UAM_Reminder'] = 'Email hatırlatma';
-$lang['UAM_Password_Reset_Msg'] = 'Lütfen Şifrenizi değiştirin!';
 $lang['UAM_No_Ghosts'] = 'Ziyaretçi yok';
 $lang['UAM_Mail_with_key'] = 'Şifre ile hatırlatma';
@@ -107,5 +90,4 @@
 $lang['UAM_Default_GhstDeletion_Txt'] = '[username] Üzgünüz, uzun süredir [mygallery] e girmediğiniz için hesabınız silindi. Tekrar giriş yapabilmek için lütfen üye olun.';
 $lang['UAM_Default_GTReminder_Subject'] = '[username]- [mygallery] i son ziyaretinizden bu yana uzun zaman geçti';
-$lang['UAM_Default user cannot be pwgreset'] = 'Şifre yenileme varsayılan kullanıcı hesabı için ayarlanamaz!';
 $lang['UAM_Default_CfmMail_Custom_Txt2'] = 'Yanlış / Süresi geçmiş doğrulama kodu, hesap zaten başarıyla doğrulanmış';
 $lang['UAM_Default_CfmMail_Custom_Txt1'] = '[username] hesabı başarıyla doğrulandı!';
@@ -132,8 +114,6 @@
 $lang['UAM_Demotion of %s'] = '%s İndirgeme';
 $lang['UAM_AdminValidationMail_Subject'] = 'Elle doğrulama e-posta konusunu özelleştir';
-$lang['UAM_AdminPassword_Enforced'] = 'Yöneticilere uygulanıyor';
 $lang['UAM_%d_Mails_With_Key'] = 'yenileme anahtarı içeren %d mesaj gönderildi';
 $lang['UAM_%d_Mail_With_Key'] = 'yenileme anahtarı içeren %d mesaj gönderildi';
-$lang['UAM_Admins cannot be pwdreset'] = 'Yönetici hesapları için şifre yenilemesi ayarlanamaz!';
 $lang['UAM_Err_audit_username_char'] = '<b>Bu hesap bir veya daha fazla yasaklı karakter kullanıyor:</b>';
 $lang['UAM_Err_audit_email_forbidden'] = '<b>Bu hesap yasaklı bir e-posta sağlayıcısı kullanıyor:</b>';
@@ -141,9 +121,7 @@
 $lang['UAM_GT_Reset'] = 'Hayalet Takipçisini Sıfırla';
 $lang['UAM_GhostTracker_true'] = 'Etkinleştir. İki ziyaret arasında azami süre: ';
-$lang['UAM_Guest cannot be pwdreset'] = 'Misafir hesabı için şifre yenileme ayarlanamaz!';
 $lang['UAM_HidePassw'] = 'Bilgi e-postasında açık yazı şeklinde şifre';
 $lang['UAM_GhostTracker_ReminderText'] = 'Hayalet Takipçisi hatırlatma mesajının özelleştirilmesi';
 $lang['UAM_GhostTracker_Init_OK'] = 'Hayalet Takipçisi sıfırlandı!';
-$lang['UAM_Generic cannot be pwdreset'] = 'Jenerik hesaplar için şifre yenileme ayarlanamaz!';
 $lang['UAM_GhostTracker'] = 'Hayalet ziyaretçilerin yönetimi (Hayalet Takipçisi)';
 $lang['UAM_ConfirmMail_TimeOut_true'] = 'Etkin. Kullanım süresinin dolmasına bu kadar gün kaldı:';
@@ -174,6 +152,4 @@
 $lang['UAM_RejectConnexion_Custom_Txt'] = 'Reddetme metni düzenleme';
 $lang['UAM_RejectConnexion'] = 'Kaydı onaylayana kadar kullanıcının bağlantısını redddet';
-$lang['UAM_Password_Enforced'] = 'Şifre güvenlik düzeyinin güçlendirilmesi';
-$lang['UAM_Password reset selected users'] = 'Seçilen kullanıcılar için şifre yenileme isteği';
 $lang['UAM_GTAutomail_Text'] = 'İndirgeme e-posta metnini düzenleyin';
 $lang['UAM_Default_PwdRequest_Txt'] = 'Galerimize şifre yenileme isteğinde bulundunuz. Yeni bağlantı ayarlarınızı aşağıdaki linkten yapabilirsiniz.';
@@ -211,5 +187,4 @@
 $lang['UAM_Expired_Status'] = '<b>Durum</b> kullanıcının kayıt süresi doldu<br>';
 $lang['UAM_Stuffs_Title'] = 'UAM Blok';
-$lang['UAM_Password_Enforced_true'] = 'Etkin. Minimum Puan:';
 $lang['UAM_No_Confirm_Group'] = 'Kayıtları onaylanmış kullanıcı grubu<br>';
 $lang['UAM_SubTitle4'] = 'Hayalet İzleyici';
Index: /extensions/UserAdvManager/branches/2.51/main.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.51/main.inc.php	(revision 25092)
+++ /extensions/UserAdvManager/branches/2.51/main.inc.php	(revision 25093)
@@ -74,190 +74,4 @@
 }
 
-// Add new feature in user_list - Password Reset
-// ---------------------------------------------
-if (isset($conf_UAM['PWDRESET']) and $conf_UAM['PWDRESET'] == 'true')
-{
-  // Add new column on user_list
-  // ---------------------------
-  add_event_handler('loc_visible_user_list', 'UAM_loc_visible_user_list');
-
-  // Add prefilter on user_list
-  // --------------------------
-  add_event_handler('loc_begin_admin', 'UAM_PwdReset_Action',60);
-
-  /**
-   * UAM_PwdReset_Action - Triggered on UAM_PwdReset_Action
-   * Handle password reset action in user_list.php
-   */
-  function UAM_PwdReset_Action()
-  {
-    global $conf, $user, $template, $lang, $errors;
-
-    $page['errors'] = array();
-    $page['infos'] = array();
-    $page['filtered_users'] = array();
-
-    if (isset($_POST['pwdreset']))
-    {
-      $collection = array();
-
-      switch ($_POST['target'])
-      {
-        case 'all' :
-        {
-          foreach($page['filtered_users'] as $local_user)
-          {
-            array_push($collection, $local_user['id']);
-          }
-          break;
-        }
-        case 'selection' :
-        {
-          if (isset($_POST['selection']))
-          {
-            $collection = $_POST['selection'];
-          }
-          break;
-        }
-      }
-
-      if (count($collection) == 0)
-      {
-        array_push($page['errors'], l10n('Select at least one user'));
-      }
-    }
-
-    if (isset($_POST['pwdreset']) and count($collection) > 0)
-    {
-      if (in_array($conf['guest_id'], $collection))
-      {
-        array_push($page['errors'], l10n('UAM_Guest cannot be pwdreset'));
-        $template->append('errors', l10n('UAM_Guest cannot be pwdreset'));
-      }
-      if (($conf['guest_id'] != $conf['default_user_id']) and
-        in_array($conf['default_user_id'], $collection))
-      {
-        array_push($page['errors'], l10n('UAM_Default user cannot be pwgreset'));
-        $template->append('errors', l10n('UAM_Default user cannot be pwgreset'));
-      }
-      if (in_array($conf['webmaster_id'], $collection))
-      {
-        array_push($page['errors'], l10n('UAM_Webmaster cannot be pwdreset'));
-        $template->append('errors', l10n('UAM_Webmaster cannot be pwdreset'));
-      }
-      if (in_array($user['id'], $collection))
-      {
-        array_push($page['errors'], l10n('UAM_You cannot pwdreset your account'));
-        $template->append('errors', l10n('UAM_You cannot pwdreset your account'));
-      }
-
-      // Generic accounts exclusion (including Adult_Content generic users)
-      // ------------------------------------------------------------------
-      $query ='
-SELECT u.id
-FROM '.USERS_TABLE.' AS u
-INNER JOIN '.USER_INFOS_TABLE.' AS ui
-  ON u.id = ui.user_id
-WHERE ui.status = "generic"
-;';
-
-	    $result = pwg_query($query);
-
-      while ($row = pwg_db_fetch_assoc($result))
-      {
-        if (in_array($row['id'], $collection))
-        {
-          array_push($page['errors'], l10n('UAM_Generic cannot be pwdreset'));
-          $errors = l10n('UAM_Generic cannot be pwdreset');
-        }
-      }
-
-      // Admins accounts exclusion
-      // --------------------------
-      $query ='
-SELECT u.id
-FROM '.USERS_TABLE.' AS u
-INNER JOIN '.USER_INFOS_TABLE.' AS ui
-  ON u.id = ui.user_id
-WHERE ui.status = "admin"
-;';
-
-	    $result = pwg_query($query);
-
-      while ($row = pwg_db_fetch_assoc($result))
-      {
-        if (in_array($row['id'], $collection))
-        {
-          array_push($page['errors'], l10n('UAM_Admins cannot be pwdreset'));
-          $errors = l10n('UAM_Admins cannot be pwdreset');
-        }
-      }
-
-      $template->append('errors', $errors);
-
-      if (count($page['errors']) == 0)
-      {
-        if (isset($_POST['confirm_pwdreset']) and 1 == $_POST['confirm_pwdreset'])
-        {
-          foreach ($collection as $user_id)
-          {
-            UAM_Set_PwdReset($user_id);
-          }
-          array_push(
-            $page['infos'],
-            l10n_dec(
-              'UAM %d user pwdreseted', 'UAM %d users pwdreseted',
-              count($collection)
-              )
-            );
-          $template->append('infos', l10n_dec(
-              'UAM %d user pwdreseted', 'UAM %d users pwdreseted',
-              count($collection)));
-          foreach ($page['filtered_users'] as $filter_key => $filter_user)
-          {
-            if (in_array($filter_user['id'], $collection))
-            {
-              unset($page['filtered_users'][$filter_key]);
-            }
-          }
-        }
-        else
-        {
-          array_push($page['errors'], l10n('UAM_You need to confirm pwdreset'));
-          $template->append('errors', l10n('UAM_You need to confirm pwdreset'));
-        }
-      }
-    }
-    $template->set_prefilter('user_list', 'UAM_PwdReset_Prefilter');
-  }
-
-  /**
-   * UAM_PwdReset_Prefilter
-   * Adds action field for password reset in user_list.tpl
-   */
-  function UAM_PwdReset_Prefilter($content, &$smarty)
-  {
-    $search = '
-<fieldset>
-  <legend>{\'Deletions\'|@translate}</legend>
-  <label><input type="checkbox" name="confirm_deletion" value="1"> {\'confirm\'|@translate}</label>
-  <input class="submit" type="submit" value="{\'Delete selected users\'|@translate}" name="delete">
-</fieldset>
-';
- 
-    $addon = '
-<fieldset>
-  <legend>{\'UAM_PwdReset\'|@translate}</legend>
-  <label><input type="checkbox" name="confirm_pwdreset" value="1"> {\'confirm\'|@translate}</label>
-  <input class="submit" type="submit" value="{\'UAM_Password reset selected users\'|@translate}" name="pwdreset">
-</fieldset>
-';
-
-    $replacement = $addon.$search;
-
-    return str_replace($search, $replacement, $content);
-  }
-}
-
 
 // Check options compatibility between UAM and Piwigo at admin page load
